# This is the CRAN name
%global packname Hmisc
# This is the main package version
%global packver 3.14
# Note that some R packages do not use packrel
%global packrel 6

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 0.fc41.lc
Summary: Library of functions for data analysis, variable clustering and various utilities 

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/Hmisc/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
Patch0: Hmisc-problem_to_Rf_error.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: R-devel R-Formula R-latticeExtra R-RColorBrewer tex(latex) R-acepack patch
BuildRequires: texlive-inconsolata
Requires: R-core R-Formula R-latticeExtra R-RColorBrewer
%define debug_package %{nil}

%description
R package:
The Hmisc library contains many functions useful for data analysis, high-level graphics, utility operations, 
functions for computing sample size and power, importing datasets, imputing missing values, advanced table making, 
variable clustering, character string manipulation, conversion of S objects to LaTeX code, and recoding variables.

%prep
%setup -q -c -n %{packname}

%patch -P0 -p0 -b .problem_to_Rf_error

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
# We have to use --no-install because we don't have all of the suggested
# dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/todo
%doc %{_libdir}/R/library/%{packname}/CHANGELOG
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/WISHLIST
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/help

%changelog
* Thu Nov 14 2024 Stuart Raeburn <raeburn@loncapa.org> (3.14.6-0)
- Initial build for R 4.4.1
- Standard 3.14.6 patched for compatibility with R 4.2:
  - "include <S.h>" removed from Hmisc.h
  - calls to PROBLEM replaced with Rf_error()in Hmisc.c and mChoice.c
